Eclipse GEF 3.2

## org.eclipse.gef.commands
Interface CommandStackEventListener

public interface CommandStackEventListener

A listener interface for receiving notification before and after commands are executed, undone, or redone.

Since:
  3.1

Method Summary
`void` `stackChanged(CommandStackEvent event)` Sent when an event occurs on the command stack.

Method Detail

### stackChanged

    public void stackChanged(CommandStackEvent event)

  Sent when an event occurs on the command stack. `CommandStackEvent.getDetail()` can be used to identify the type of event which has occurred.

  Parameters:
    `event` - the event
  Since:
    3.1

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.